ods excel file="c:\test\test.xlsx" ;

data one;
 set x end=last;
  if _n_=1 then do;
  declare odsout obj();
  obj.table_start();
    obj.row_start();
    obj.format_cell(data:' ');
    obj.format_cell(data:'Report For December 31.',column_span:3");
    obj.row_end();
    obj.row_start();
    obj.format_cell(data:'(In Millions)',style_attr:"just=l");
    obj.format_cell(data:'2014');
    obj.format_cell(data:'2013');
    obj.format_cell(data:'2012');
    obj.row_end();
    obj.row_start(); 
    obj.format_cell(data:'Assets',column_span:4,style_attr:"just=left");
    obj.row_end();
   end;
    obj.row_start();
   if _name_ in('total_assets') then do;
     obj.format_cell(data:_name_,style_attr:"just=l fontweight=bold");
     obj.format_cell(data:_2014,
          style_attr:"tagattr=formula:=SUM(R[-4]C:R[-1]C)'");
     obj.format_cell(data:_2013,
          style_attr:"tagattr=""formula:=SUM(R[-4]C:R[-1]C) currency""");
     obj.format_cell(data:_2012,
          style_attr:"tagattr=""formula:=SUM(R[-4]C:R[-1]C)""");
     obj.row_end();
     obj.row_start();
     obj.format_cell(data:" ");
     obj.row_end();
     obj.row_start();
     obj.format_cell(data:"Liabiliies",column_span:3 style_attr:"just=left");
     obj.row_end();
   end;
   else if _name_ in('total_liabilities') then do;
    obj.format_cell(data:_name_,style_attr:"just=l fontweight=bold");
    obj.format_cell(data:_2014,
           style_attr:"tagattr=""formula:R[-2]C+R[-1]C format:currency""");
    obj.format_cell(data:_2013,
           style_attr:"tagattr=""formula:R[-2]C+R[-1]C format:currency""");
    obj.format_cell(data:_2012,
           style_attr:"tagattr=""formula:R[-2]C+R[-1]C format:currency""");
    obj.row_end();
    obj.row_start();
    obj.format_cell(data:" ");
    obj.row_end();
    obj.row_start();
    obj.format_cell(data:" ",column_span:3);
    obj.row_end();
   end;
   else if _name_ in('total_net_position') then do;
    obj.format_cell(data:_name_,style_attr:"just=l");
    obj.format_cell(data:_2014,
        style_attr:"tagattr=""formula:R[-8]C+R[-3]C format:currency""");
    obj.format_cell(data:_2013,
        style_attr:"tagattr=""formula:R[-8]C+R[-3]C format:currency""");
    obj.format_cell(data:_2012,
         style_attr:"tagattr=""formula:R[-8]C+R[-3]C format:currency""");
    obj.row_end(); 
   end;
   else do;
   obj.row_start();
   obj.format_cell(data:_name_,style_attr:"just=l pretext='  ' asis=on");
   obj.format_cell(data:_2014);
   obj.format_cell(data:_2013);
   obj.format_cell(data:_2012);
   obj.row_end();
   end;

   if last then do;
       obj.table_end();
    end;
  run;
ods excel close;
